<?php
namespace tests\Zeedhi\Framework\Zeedhi_Annotations;

use Zeedhi\Framework\Annotations\Definitions\OpenAPI;
use Zeedhi\Framework\Annotations\Definitions\Resource;
use Zeedhi\Framework\Annotations\Definitions\Reference;
use Zeedhi\Framework\Annotations\Definitions\Server;
use Zeedhi\Framework\Annotations\Definitions\ServerVariable;
use Zeedhi\Framework\Annotations\Definitions\Components;
use Zeedhi\Framework\Annotations\Definitions\Contact;
use Zeedhi\Framework\Annotations\Definitions\Discriminator;
use Zeedhi\Framework\Annotations\Definitions\License;
use Zeedhi\Framework\Annotations\Definitions\Info;
use Zeedhi\Framework\Annotations\Definitions\Encoding;
use Zeedhi\Framework\Annotations\Definitions\Example;
use Zeedhi\Framework\Annotations\Definitions\ExternalDocs;
use Zeedhi\Framework\Annotations\Definitions\Header;
use Zeedhi\Framework\Annotations\Definitions\Link;
use Zeedhi\Framework\Annotations\Definitions\MediaType;
use Zeedhi\Framework\Annotations\Definitions\OAuthFlow;
use Zeedhi\Framework\Annotations\Definitions\OAuthFlows;
use Zeedhi\Framework\Annotations\Definitions\Operation;
use Zeedhi\Framework\Annotations\Definitions\Parameter;
use Zeedhi\Framework\Annotations\Definitions\Request;
use Zeedhi\Framework\Annotations\Definitions\Response;
use Zeedhi\Framework\Annotations\Definitions\Schema;
use Zeedhi\Framework\Annotations\Definitions\Security;
use Zeedhi\Framework\Annotations\Definitions\SecuritySchema;
use Zeedhi\Framework\Annotations\Definitions\Tag;
use Zeedhi\Framework\Annotations\Definitions\XML;

/**
 * @OpenAPI(
 *  paths={@Resource(
 *      path="test",
 *      ref=@Reference(
 *          reference="referenceMock"
 *      ),
 *      summary="summary",
 *      description="description",
 *      operations={@Operation(
 *          type="get",
 *          summary="summary",
 *          description="description",
 *          requestBody=@Request(
 *              content="content",
 *              description="description",
 *              required=true
 *          ),
 *          responses={@Response(
 *              content=200,
 *              description="description",
 *              content="content",
 *              headers={@Header(
 *                  description="header"
 *              )},
 *              links={@Link(
 *                  operationRef="operationRef",
 *                  operationId="operationId",
 *              )}
 *          )},
 *          operationId="TheNumber23",
 *          callbacks={"http://wso2.teknisa.com/hookCallback"},
 *          deprecated=false,
 *          security=@Security(
 *              name="zeedhi_auth",
 *              value={"write:user","read:user"}
 *          )
 *      )},
 *      parameters={@Parameter(
 *          content={@MediaType(
 *              examples={@Example(
 *                  name="zeedhi"
 *              )},
 *              encoding=@Encoding(
 *                  contentType="application/json"
 *              ),
 *              schema=@Schema(
 *                  xml=@XML(
 *                      name="teknisa"
 *                  ),
 *                  discriminator=@Discriminator(
 *                      propertyName="propertyName",
 *                      mapping={"test","mapping"}
 *                  ),
 *                  allOf={1,2,3}
 *              )
 *          )}
 *      )}
 *  )},
 *  servers={@Server(
 *      url="http://login.teknisa.com/",
 *      description="Teknisa login API",
 *      variables={@ServerVariable(
 *          enum={"test@teknisa.com"},
 *          default="login@teknisa.com",
 *          description="User login data"
 *      )}
 *  )},
 *  tags={@Tag(
 *      description="API tag",
 *      name="test"
 *  )},
 *  info=@Info(
 *      title="title",
 *      description="description",
 *      version="1.0.0-beta",
 *      termsOfUse="Terms of Use",
 *      license=@License(url="test",name="Description"),
 *      contact=@Contact(url="test",name="Description",email="@teknisa.com")
 *  ),
 *  externalDocs=@ExternalDocs(
 *      url="http://teknisa.com",
 *      description="teknisa external documentation"
 *  ),
 *  components=@Components(
 *      securitySchemes={@SecuritySchema(
 *          type="oauth2",
 *          flows=@OAuthFlows(
 *              implicit=@OAuthFlow(
 *                  authorizationUrl="https://wso2.teknisa.com/authorization",
 *                  tokenUrl="https://wso2.teknisa.com/token",
 *                  refreshUrl="https://wso2.teknisa.com/refreshToken",
 *                  scopes={"write:users":"modify data","read:users":"read data"}
 *              )
 *          )
 *      )}
 *  ),
 *  openapi="3.0.0"
 * )
 */
class Test{
    public $initialized = true;
}